<?php
	// inclusion du fichier où se trouvent les fonctions à utiliser
	include_once './fonctions/parking.php';
	include_once '../sql/ConnexionBaseSQL.php';
	include_once './fonctions/ville.php';
	
	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il y a un problème
	if ($bdd == -1)
	{
		echo "il y a un problème";
	}
	else {
		// on récupère l'id de la ville sélectionnée
		//$ville = stripslashes(htmlspecialchars($_REQUEST['ville']));
		
		// on récupère l'id de la ville recueillie
		$idVille = extraireidVille ($bdd, $ville);
		
		// on extrait le parking grâce à l'id de la ville
		$parkings = extraireParkings($bdd, "id_ville", $idVille);
		
		// Pour chaque occurence, on met dans un tableau le nom, la rue et le code Postal pour une partie et l'id de l'autre
		for ($i = 0; $i < count($parkings); $i++){
			$tab[$i]['Nom'] = $parkings[$i]['Nom'] . ', ' . $parkings[$i]['Rue'] . ', ' . $parkings[$i]['CodePostal'];
			$tab[$i]['latitude'] = $parkings[$i]['Latitude'];
			$tab[$i]['longitude'] = $parkings[$i]['Longitude'];
			$tab[$i]['idParking'] = $parkings[$i]['idParking']; 
		}
		echo json_encode($tab);
	}
?>