/*
 * Cette fonction permet de faire appel à la bdd grâce à l'ajax pour afficher 
 * les parkings de la ville dont l'id est placé en paramètre
 */
function changeParking(value)
{
	var data;
	if(value != "vide")
	{
		// on renseigne la valeur de l'id du département choisi
		var parameters={idVille: value};
		// appel à l'ajax pour récupérer toutes les villes du département
		$.ajax({type: 'post', dataType: 'json', url: 'changerParking.php', data: parameters, success: chargerParking});
	}
	else
	{
		form_d = "";
		// Si la valeur du départementest nulle, rien ne sera afficher dans la liste déroulante
		document.getElementById("ville").innerHTML = form_d;
	}
   
}

/*
 * Cette fonction permet d'afficher dans une liste déroulante, les différents parkings
 * d'une ville
 */ 
function chargerParking (tab){
	if (tab != null){
		// recupération de la taille du tableau : nombre de parkings
		var nbd = tab.length;
		
		var form_d  = '<select name="parking" id="parking">';
		for(var j = 0;  j < nbd; j++)
		{
			if (tab[j] != null)
			{
				// Ajout de tous les parkings pour une ville dans la liste déroulante
				form_d += '  <option value="'+ tab[j][1] +'">'+ tab[j][0] + '<\/option>';
			}
		}
		form_d += '<\/select>';
		// Mise à jour au niveau de la balise ayant pour id "ville"
		document.getElementById("parking").innerHTML = form_d;
		
		// Affichage des informations du parking
		recupInformations(tab[0][1]);
	}
	else{
		form_d = "";
		// Si la valeur du départementest nulle, rien ne sera afficher dans la liste déroulante
		document.getElementById("parking").innerHTML = form_d;
	}
}
