/*
 * Cette fonction permet de faire appel à la bdd grâce à l'ajax pour afficher 
 * les villes du département dont l'id est placé en paramètre
 */
function changeVille(tab,idd)
{
	var data;
	// Si la valeur du département n'est pas "vide" (aucun choix de l'utilisateur)
	if(idd != "vide")
	{
		// on renseigne la valeur de l'id du département choisi
		var parameters={id: tab[idd].id};
		// appel à l'ajax pour récupérer toutes les villes du département
		$.ajax({type: 'post', dataType: 'json', url: 'changerVille.php', data: parameters, success: chargerVille});
	}
	else
	{
		// Si la valeur du département est "vide",  on efface le contenu de la balise ville 
		form_d = "";
		 document.getElementById("ville").innerHTML = form_d;
	}
   
}

/*
 * Cette fonction permet d'afficher dans une liste déroulante, les différentes villes
 * d'un département
 */ 
function chargerVille (tab){
	if (tab != null){
		// recupération de la taille du tableau
		var nbd = tab.length;
		
		// création d'une balise select pour créer une liste déroulante
		var form_d  = '<select name="ville" id="ville">';
		for(var j = 0;  j < nbd; j++)
		{
			if (tab[j].ville != null)
			{
				// Ajout de toutes les villes pour un département dans la liste déroulante
				form_d += '  <option value="'+ tab[j].id +'">'+ tab[j].ville + '<\/option>';
			}
		}
		form_d += '<\/select>';
		
		// Mise à jour au niveau de la balise ayant pour id "ville"
		document.getElementById("ville").innerHTML = form_d;
	}
}