<?php
echo("<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n");
/* Variables de connexion : ajustez ces paramtres selon votre propre environnement */
$serveur = "localhost";
$admin   = "root";
$mdp     = "";
$base    = "regions";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" xml:lang="fr" />
<title>Liste droulantes dynamiques lies</title>
<meta name="description" content="Listes dynamiques lies: la seconde liste est modifie via un objet XHR lors d'une slection sur la premire." />
<meta name="keywords" content="menu,droulant,select,lies,JavaScript" />
<meta name="author" content="Cyrano" />
<meta name="generator" content="Zend Studio Environnement et WebExpert 5" />
<meta http-equiv="imagetoolbar" content="no" />
<meta http-equiv="Pragma" content="no-cache" />
<script type="text/javascript" src="./dept_xhr.js" charset="iso_8859-1"></script>
<?php
/* Requte SQL de rcupration des donnes de la premire liste */
$sql = "SELECT `id_region` AS idr, `region` ".
       "FROM `region` ".
       "ORDER BY `id_region`;";
require "ConnectionBaseSQL.php";
$bdd = connection();
$recherche = $bdd->prepare($sql);
$recherche->execute();
/* Connexion et excution de la requte */
if(true)
{
    /* Cration du tableau PHP des valeurs rcupres */
    $regions = array();
    /* Index du dpartement par tableau rgional */
    $id = 0;
    while($ligne = $recherche->fetch())
    {
        $regions[$ligne['idr']] = $ligne['region'];
    }
?>
</head>
<body style="font-family: verdana, helvetica, sans-serif; font-size: 85%">
<h3>Version Utilisant AJAX</h3>
<p>Vous constaterez que le dlai de latence entre la slection et la mise  jour est quasiment intermdiaire entre les versions 100% PHP et JavaScript.</p>
<h3>Trouver un dpartement</h3>
<form action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post" id="chgdept">
  <fieldset style="border: 3px double #333399">
  <legend>Slectionnez une rgion</legend>
    <select name="region" id="region" onchange="getDepartements(this.value);">
      <option value="vide">- - - Choisissez une rgion - - -</option>
    <?php
    /* Construction de la premire liste : on se sert du tableau PHP */
    foreach($regions as $nr => $nom)
    {
        ?>
    <option value="<?php echo($nr); ?>"><?php echo($nom); ?></option>
<?php
    }
    ?>
    </select>
    <!-- ICI, le secret : on met un bloc avec un id ou va s'insrer le code de
         la seconde liste droulande -->
  <span id="blocDepartements"></span><br />
  <input type="submit" name="ok" id="ok" value="Envoyer" />
  </fieldset>
</form>
<p><a href="./index.php" title="Aller vers la version 100% PHP">Aller vers la version 100% PHP</a></p>
<p><a href="./index2.php" title="Aller vers la version JavaScript">Aller vers la version JavaScript</a></p>
<?php
}
else
{
    /*  Si vous arrivez ici, vous avez un gros problme avec la connexion au serveur de base de donnes */
?>
</head>
<body>
<p>La connexion au serveur de base de donnes a chou. Aucun lment ne peut tre affich.</p>
<?php
}
?>
</body>
</html>