<?php

	// connexion à la bdd
	$bdd = connexionBDD();
	// recupération de l'utilisateur choisi pour le modifier
	if ($indiceParam != null)
	{
		$_GET['indice'] = $indiceParam;
		$indice = intval(htmlspecialchars ($_GET['indice'])) - 1;
		$_SESSION['indice'] = $indice;
	}
	// s'il existe une variable de session : indice
	else if (isset($_SESSION['indice']))
	{
		$indice = $_SESSION['indice'];
	}
	// si l'indice est comrpis dans les ordres de grandeurs des différents droits utilisateur
	if ($indice >= 0 && $indice < RecupNbreLignes ($bdd, "membres"))
	{
	?>
		<form action="traitementModificationMembre.php" method="post">
			<table border="1" width="400">
				<?php
					// récupérer le nom de toutes les colonnes de la table membres
					$tab = recupNomsColonnes ($bdd, "membres");
					
					// recupérer tous les champs de la table membres 
					$tabvaleurs = recupTousLesChamps ($bdd, "membres");
					//recuperer un champ particulier dans cette liste
					$membre = $tabvaleurs[$indice];
					
					$_SESSION['pseudoAModif'] = $membre['pseudo'];
					// $nbreCol : le nombre de colonnes de la table membres 
					$nbreCol = count($tab);
				?>
					<thead>
						<?php
							// on prépare l'entête du tableau
							preparerEnteteTableau ($tab, $nbreCol);
						?>
					</thead>
					<tbody>
						<?php
							// On affcihe le corps du tableau
							corpsTableau1Param(afficherCorpsTableauModifierMembreParAdmin, $membre);
						?>
					</tbody>				
				</table>
			<input id="boutonModifFonction" type="submit" name='modifFonction' value="Modifier"/>
		</form>
		<form action="admin.php" method="post">
			<input id="boutonAnnuler" type="submit" name='annuler' value="Annuler"/>
		</form>
	<?php
	}
	else {
		$_GET['etat'] = 131072;
	}
?>