<?php
	// inclusion du fichier où se trouvent les fonctions à utiliser
	include_once './fonctions/parking.php';
	include_once '../sql/ConnexionBaseSQL.php';
	
	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il y a un problème
	if ($bdd == -1)
	{
		echo "il y a un problème";
	}
	else {
		// on récupère l'id du département sélectionné
		$id = htmlspecialchars($_REQUEST['idParking']);
		
		// on extrait les informations du parking grâce à l'id
		$infos = extraireInfosParID($bdd, $id);
		
		// on écrit le message 
		$message = '<div id="texte"><span id="idParking">' . $infos['idParking'] . '</span> ' 
						. '<p>Voici les informations concernant le parking : </p> '
						. ' Nom du parking : ' . $infos['Nom'] . ' <br /> ' 
						. ' Capacité de places dans le parking: ' . $infos['NbMaxPlaces'] . ' place(s)<br/> '
						. ' Nombres de places disponibles dans le parking : ' 
						. ' <span id="nbPlacesDispos" value=' . $infos['NbDispoPlaces']. '>' . $infos['NbDispoPlaces'] . '</span>'
						. ' place(s) <br/> '
						. ' Rue : ' . $infos['Rue'] . ' <br/> '
						. ' Code Postal : ' . $infos['CodePostal'] . ' <br/> '
						. ' Ville : ' . $infos['Ville'] . ' <br/> '						
						. ' Type : ' . $infos['Type'] . ' <br/> '
						. ' Jours Ouverts : ' . $infos['JoursOuverts'] . ' <br/> '
						. ' Horaires : ' . $infos['Horaires'] . ' <br/> '
						. ' Tarif : ' . $infos['Tarif'] . ' <br/> '
						. ' Avis : ' . $infos['Avis'] . ' <br/> '
						. ' Informations complémentaires : ' . $infos['InformationsComplementaires'] . ' <br/></div> ';
		echo $message;
	}
?>