<?php
	// inclusion du fichier où se trouvent les fonctions à utiliser
	include_once './fonctions/parking.php';
	include_once '../sql/ConnexionBaseSQL.php';
	
	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il y a un problème
	if ($bdd == -1)
	{
		echo "il y a un problème";
	}
	else {
		// on récupère l'id de la ville sélectionnée
		$idVille = htmlspecialchars($_REQUEST['idVille']);
		
		// on extrait le parking grâce à l'id de la ville
		$parkings = extraireParkings($bdd, "id_ville" , $idVille);
		
		// Pour chaque occurence, on met dans un tableau le nom, la rue et le code Postal pour une partie et l'id de l'autre
		for ($i = 0; $i < count($parkings); $i++){
			$tab[$i][0] = $parkings[$i]['Nom'] . ', ' . $parkings[$i]['Rue'] . ', ' . $parkings[$i]['CodePostal'];
			$tab[$i][1] = $parkings[$i]['idParking'];
		}
		echo json_encode($tab);
	}
?>