<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page permet de modifier les droits pour un 
membre présents dans la base de données.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start();
	
	// inlusion des fichiers où les fonctions sont utilisées
	include_once './fonctions/corpsPagesConnectees.php';
	include_once '../sql/ConnexionBaseSQL.php';
	include_once './fonctions/messages.php';
	include_once './fonctions/membre.php';
	include_once './fonctions/tableau.php';
?>
<!DOCTYPE html>
<html>
	<!-- inclusion du bloc permettant de définir l'entête (<head>) de la page -->
	<?php include_once("./blocs/blocEntete.html"); ?>
	<body>
		<div id="bloc_page">
			<?php 
				// inclusion du bloc menu ainsi que l'image
				include_once("./blocs/blocEnteteCorps.php"); 
			
				// S'il existe une variable de la méthode get du nom indice
				// On désactive les balises grâce à htmlspecialchars()
				if (isset($_GET['indice']))
				{
					$indice = strval(htmlspecialchars($_GET['indice']));
					
				}
				else 
				{
					$indice = '';
				}
				// inclusion du corps de la page modifierMembreParAdmin (dans fonctions/corpsPagesConnectees.php)
				afficherCorpsPage1Param (modifierMembreParAdmin, $indice);
			?>
			
			<!-- Bloc permettant d'afficher des messages sur la page -->
			<?php include_once("./blocs/blocMessageEtat.php"); ?>
			
			<!-- affichage de la légende pour les droits de id_groupe (a quoi correspond id_groupe)
			     dans fonctions/messages.php -->
			<?php include_once("./blocs/blocLegendeIdGroupe.php"); ?>	
		</div>
		<!-- inclusion du bloc de pied de page --> 
		<?php include_once("./blocs/blocFooter.html"); ?>
	</body>
</html>