<?php
	// inclusion du fichier où se trouvent les fonctions à utiliser
	include_once '../php/fonctions/place.php';
	include_once '../php/fonctions/casePlanParking.php';
	include_once '../sql/ConnexionBaseSQL.php';
	
	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il y a un problème
	if ($bdd == -1)
	{
		echo "il y a un problème";
	}
	else {
		// on récupère les paramètres envoyés
		$colonne = intval(htmlspecialchars($_REQUEST['nbreColonne']));
		$ligne = intval(htmlspecialchars($_REQUEST['nbreLigne']));
		$idParking = intval(htmlspecialchars($_REQUEST['idParking']));
		
		// On met à jour les informations du parking
		$idPlace = recupererIdPlaceParCase ($bdd, $idParking, $colonne, $ligne);
		$tab = recupererPlace ($bdd, $idPlace, $idParking);
		echo json_encode ($tab);
	}
?>