<?php
	// inclusion du fichier où se trouvent les fonctions à utiliser
	include_once '../php/fonctions/place.php';
	include_once '../php/fonctions/fonctionsBDD.php';
	include_once '../php/fonctions/capteur.php';
	include_once '../sql/ConnexionBaseSQL.php';
	
	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il y a un problème
	if ($bdd == -1)
	{
		echo "il y a un problème";
	}
	else {
		// on récupère les paramètres envoyés
		$idParking = intval(htmlspecialchars($_REQUEST['idParking']));
		$idPlace = intval(htmlspecialchars($_REQUEST['idPlace']));
		
		// On met à jour les informations du parking
		$tab = recupTousLesChampsAvecId ($bdd, "place", "idParking", $idParking);
		for ($i=0; $i<count($tab);$i++){
			$tab[$i]['disponible'] = capteurDisponible($bdd, $tab[$i]['idCapteur']);
		}
		echo json_encode ($tab);
	}
?>