<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page est la page d'accueil. Elle permet de choisir
un  parking grâce à l'entrée d'une adresse.
Elle permet de présenter le projet.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start(); 
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
	<!-- inclusion du bloc permettant de définir l'entête (<head>) de la page -->
	<?php include_once("./blocs/blocEntete.html"); ?>

	<body>
		<div id="bloc_page">
			<!-- inclusion du bloc menu ainsi que l'image -->
			<?php include_once("./blocs/blocEnteteCorps.php"); ?>
			<section>
				<?php
				if (isset($_SESSION['pseudo']))
				{
					echo "<h3> Bienvenue " . ucfirst(strtolower($_SESSION['pseudo'])) . "!!! </h3>";
				}
				?>
			<section/>
			<section>
				<article>
					<!-- Affichage pour choix d'affichage de recherche de parkings -->
					<?php include_once ('./blocs/blocChoixAffichageUtilisateur.php'); ?>
				</article>
				
				<?php include_once ('./blocs/blocPresentationAuteurs.html'); ?>
			</section>
		</div>
		<!-- inclusion du bloc de pied de page --> 
		<?php include_once("./blocs/blocFooter.html"); ?>
	</body>
</html>