<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page permet d'afficher les messages de 
désinscription.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start();
	
	// inlusion des fichiers où les fonctions sont utilisées
	include_once './fonctions/messages.php';
?>
<!DOCTYPE html>
<html>
	<!-- inclusion du bloc permettant de définir l'entête (<head>) de la page -->
	<?php include_once("./blocs/blocEntete.html"); ?>
	
	<!-- inclusion du fichier de style pour l'interfaceParking -->
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<link rel="stylesheet" type="text/css" href="/AAP/css/interfaceParking.css" />
	
	<!-- Inclusion des scripts Javascript dont on se sert sur cette page -->
	<script type="text/javascript" src="../JavaScript/interfaceParking.js"></script>
	<script type="text/javascript" src="../JavaScript/jquery.js"></script>
	<script type="text/javascript" src="../JavaScript/ville.js"></script>	
	<script type="text/javascript" src="../JavaScript/parking.js" ></script>
	<script type="text/javascript" src="../JavaScript/informations.js"></script>
	<script type="text/javascript" src="../JavaScript/rafraichirNbPlacesDispos.js"></script>
	
	<body onload="javascript:refresh_div(); precharger(); afficherGrille(); refresh_parking();">
		<div id="bloc_page">
			<?php
				// inclusion du bloc menu ainsi que l'image et du fichier php permettant de récupérer les départements
				include_once("./blocs/blocEnteteCorps.php"); 
				include_once ("recupDepartements.php");
			?>
			<p> Veuillez choisir un département et une ville pour cibler les parkings aux alentours </p>
			
			<!-- Afficahge du bloc présentant les listes déroulantes pour sélectionner un parking -->
			<?php include_once ("./blocs/blocChoixPourParkings.php"); ?>
			
			<!-- Bouton permettant de revenir à la page d'accueil -->
			<form action="test.php" method="post">
				<input type="submit" name="ok" id="ok" value="Retour"/>
			</form><br />
		</div>
		<br />
		
		<!-- inclusion du bloc permettant de visualiser les places disponibles -->
		<?php include_once ('./blocs/blocInterfaceUtilisateurParking.php'); ?>
			
		<!-- inclusion du bloc de pied de page --> 
		<?php include_once("./blocs/blocFooter.html"); ?>
	</body>
</html>