<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page permet de traiter l'ajout.
Le fait si tout va bien, sinon redirige en envoyant un message.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start();
	
	// inlusion des fichiers où les fonctions sont utilisées
	include_once './fonctions/membre.php';
	include_once './fonctions/general.php';
	include_once '../sql/ConnexionBaseSQL.php';

	// connexion à la BDD
	$bdd = connexionBDD();
	
	// S'il existe tous ces champs
	if((isset($_POST['ajout']) || isset($_POST['inscription'])) && isset($_POST['pseudo']) 
		&& isset($_POST['password']) && isset($_POST['conf_password']) && isset($_POST['mail'])
		&& isset($_POST['fonction'])) 
	{		
		$etat = 0;
		
		// Permet de vérifier si on peut rajouter un membre ou non
		// renvoie l'état (si etat = 0, on peut rajouter, sinon non)
		// renvoie un tableau avec les id
		$tab = verificationAjoutMembre($bdd, $etat);
		
		// désactive l'action des balises (afin d'éviter des scripts)
		$valeur = htmlspecialchars($_POST['fonction']);

		// verification si la valeur est un entier et qu'elle est comrprise entre 1 et 4 (nombre des différents droits)
		if ($valeur != null)
		{
			$val = intval($valeur);
			if ($val <= 0 || $val > 4){
				$etat += 32768;
			}
		
			// On ne peut pas ajouter, on revient à la page ajoutParAdmin.php pour affciher les problèmes
			if($etat != 0)
			{
				$url = "ajoutParAdmin.php?etat=". strval($etat);
				header("Location: $url");
			}
			// sinon, on rajoute le membre dans la bdd et on redirige vers admin.php
			else 
			{
				$tab['id_groupe'] = $val;
				ajouterMembre ($bdd, $tab);
				header("Location: admin.php");
			}
		}
		else 
		{
			// redirection en cas de champ(s) vide(s)
			header("Location: ajoutParAdmin.php?etat=32");
		}
	}
	else {
		// redirection en cas de champ(s) vide(s)
		header("Location: ajoutParAdmin.php?etat=32");  
	}
?>
