<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page permet de traiter la modification des
informations d'un parking dans la bdd.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start();
	
	// inlusion des fichiers où les fonctions sont utilisées
	include_once './fonctions/parking.php';
	include_once './fonctions/general.php';
	include_once '../sql/ConnexionBaseSQL.php';

	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il existe un champs $_POST et qu'un post soit le bouton désinscription
	if(isset($_POST['modifFonction']) && isset($_POST['id_ville']) && isset($_POST['Nom'])
		&& isset($_POST['CodePostal']) && isset($_POST['Latitude']) && isset($_POST['Longitude']))
	{
		if (!empty($_POST['id_ville']) && !empty($_POST['Nom'])
		&& !empty($_POST['CodePostal']) && !empty($_POST['Latitude']) && !empty($_POST['Longitude'])){
			
			foreach ($_POST as $champ => $valeur){
				if ($champ != "modifFonction"){	
					$tab[$champ] = $valeur;
				}
			}
		
			// modification pour le parking
			if (parkingExiste ($bdd, $tab['Nom'])){
				modifierParking ($bdd, $_SESSION['idParking'], $tab);
			}
			else {
				ajouterParking ($bdd, $tab);
			}
			
			// on supprime la variable de session : indice
			session_unregister("indice");
			session_unregister("idParking");
			
			// redirection vers la page admin
			header("Location: config.php");
		}
		else 
		{
			// redirection sur la page précédente avec message (champ vide)
			header("Location: config.php?etat=32");
		}
	}
	else {
		// redirection sur la page précédente avec message (champ vide)
		header("Location: config.php?etat=32");
	}
	
?>