/*
 * Cette fonction change la valeur du nombre de places disponibles si data.charger = true
 */
function chargerOuNon (data){
	if (data.charger){
		document.getElementById('nbPlacesDispos').innerHTML = data.valeur;
	}
}

/*
 * Cette fonction permet de récupérer les informations concernant un parking en utilisant l'ajax
 */
function envoyer(){
	var data;
	var valeur= $('#nbPlacesDispos').text();
	var idParking=$('#idParking').text();
	var parameters={nombre: valeur, id: idParking};
	$.ajax({type: 'post', dataType: 'json', url: 'changerNbPlacesDisposSiDifferent.php', data: parameters, success: chargerOuNon});
}

/*
 * Cette fonction est appelée toutes les 5 secondes pour vérifier si la valeur du 
 * nombre de places disponibles à changer
 */
function refresh_div()
{
	envoyer();
	// alert("salut");
	setTimeout('refresh_div()', 5000);	
}

/*
 * Cette fonction permet d'arrêter l'appel à la fonction toutes les x secondes
 */
function clearRefreshDiv(t){
	clearTimout(t);
}