<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page permet d'afficher les informations de parking
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start();
	
	//inlusion des fichiers où les fonctions sont utilisées
	include_once './fonctions/messages.php';
	include_once 'traitementInitialisationCarte.php'; 	
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
	<!-- inclusion du bloc permettant de définir l'entête (<head>) de la page -->
	<?php include_once("./blocs/blocEntete.html"); ?>
	<script type="text/javascript" src="../JavaScript/jquery.js"></script>
	<script type="text/javascript" src="../JavaScript/rafraichirNbPlacesDispos.js"></script>
	
	<body onload="javascript:refresh_div();">
		<div id="bloc_page">
			<!--inclusion du bloc menu ainsi que l'image -->
			<?php include_once("./blocs/blocEnteteCorps.php"); ?>
			
			<!--inclusion du bloc permettant de recuperer les parkings -->
			<form action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post">
				<select id="affichageParking" name="option">
					<?php
						$tableau = recupParkingsEtInfos ();
						for ($i = 0; $i < count($tableau); $i++)
						{
					?>	
							<option value="<?php echo($i); ?>"><?php echo($tableau[$i][0]); ?></option>
					<?php
						}
					?>
				</select>
				<input id="boutonAjout" type="submit" name="infos" value="Valider"/>
			</form>
			
			<div id="Infos">
			<?php
				if (isset($_POST['option'])){
					$options = htmlspecialchars($_POST['option']);
					if ($options != null)
					{
						?><span id="idParking"><?php echo $tableau[$options][1]['idParking'];?></span><?php
						echo '<p>Voici les informations concernant le parking : </p> '
						. ' Nom du parking : ' . $tableau[$options][1]['Nom'] . ' <br /> ' 
						. ' Capacité de places dans le parking: ' . $tableau[$options][1]['NbMaxPlaces'] . ' place(s)<br/> '
						. ' Nombres de places disponibles dans le parking : ' ; ?>
						<span id="nbPlacesDispos" value='<?php echo $tableau[$options][1]['NbDispoPlaces'];?>'> <?php  echo $tableau[$options][1]['NbDispoPlaces'];?></span>
						<?php echo ' place(s) <br/> '
						. ' Rue : ' . $tableau[$options][1]['Rue'] . ' <br/> '
						. ' Code Postal : ' . $tableau[$options][1]['CodePostal'] . ' <br/> '
						. ' Ville : ' . $tableau[$options][1]['Ville'] . ' <br/> '						
						. ' Type : ' . $tableau[$options][1]['Type'] . ' <br/> '
						. ' Jours Ouverts : ' . $tableau[$options][1]['JoursOuverts'] . ' <br/> '
						. ' Horaires : ' . $tableau[$options][1]['Horaires'] . ' <br/> '
						. ' Tarif : ' . $tableau[$options][1]['Tarif'] . ' <br/> '
						. ' Avis : ' . $tableau[$options][1]['Avis'] . ' <br/> '
						. ' Informations complémentaires : ' . $tableau[$options][1]['InformationsComplementaires'] . ' <br/> ';
					}
				}
				
			?>
			</div>
		<!-- inclusion du bloc de pied de page --> 
		<?php include_once("./blocs/blocFooter.html"); ?>
		
		
	</body>
</html>
