<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page est la page d'accueil. Elle permet de choisir
un  parking grâce à l'entrée d'une adresse.
Elle permet de présenter le projet.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start(); 
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
	<!-- inclusion du bloc permettant de définir l'entête (<head>) de la page -->
	<?php include_once("./blocs/blocEntete.html"); ?>
	<body>
		<div id="bloc_page">
			<!-- inclusion du bloc menu ainsi que l'image -->
			<?php include_once("./blocs/blocEnteteCorps.php"); ?>
			<section>
				<?php
				if (isset($_SESSION['pseudo']))
				{
					echo "<h3> Bienvenue " . ucfirst(strtolower($_SESSION['pseudo'])) . "!!! </h3>";
				}
				?>
			<section/>
			
			
			<section>
				<article>
					<h1><img src="/AAP/images/ico_epingle.png" alt="Catégorie voyage" class="ico_categorie" />Les Parkings</h1>
					<p> Veuillez choisir une région et un département pour cibler les parkings aux alentours </p>
					<?php
						include_once "recupRegionsEtDepartements.php";
						if(isset($_POST['ok']) && isset($_POST['departement']) && $_POST['departement'] != "")
						{
							$region_selectionnee = $_POST['region'];
							$dept_selectionne = $_POST['departement'];
					?>
					<p>Vous avez sélectionné le département <?php echo($dept_selectionne); ?> dans la région <?php echo($region_selectionnee); ?></p>
					<?php
						}
					?>
					<iframe src="http://www.parkopedia.fr/parking/villeneuve-d%27ascq_france/?embed=750x400&l=1&tc=1&zc=1&country=FR&ts[]=4&ts[]=3&ts[]=2" frameborder="0" width="750" height="400" scrolling="no">
						<a href="http://www.parkopedia.fr/parking/villeneuve-d%27ascq_france/" title="Villeneuve D'ascq France parking - Parkings publics, places de stationnement dans la rue, garages privés">Villeneuve D'ascq France parking - Parkings publics, places de stationnement dans la rue, garages privés</a>
					</iframe>
					
					<form action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post" id="chgdept">
							<select name="region" id="region" onchange="changeDept(tab,this.value);">
								<option value="vide">- - - Choisissez une région - - -</option>
								<?php
									/* Construction de la première liste : on se sert du tableau PHP */
									$nbr = count($regions);
									foreach($regions as $nr => $nom)
									{
								?>
										<option value="<?php echo($nr); ?>"><?php echo($nom[0]); ?></option>
								<?php
									}
								?>
							</select>
							<!-- les départements vont changer en fonction du choix de la région -->
							<select name="Département" id="dept">
								<option id="blocDepartements" value="vide">- - - Choisissez un département - - -</option> 
							</select>
							<input type="submit" name="ok" id="ok" value="Envoyer" />
					</form>
				</article>
				
				<aside class="aside_corps">
					<h1>À propos des auteurs</h1>
					<img src="/AAP/images/bulle.png" alt="" id="fleche_bulle" />
					<p id="photo_auteurs"><img src="/AAP/images/auteurs.png" alt="Photo des auteurs" /></p>
					<p>Nous sommes Céline LY et Mathieu GERIER.</p>
					<p>Dans le cadre de notre projet de fin d'études en dernière année, dans la spécialité IMA (Informatique, Microélectronique et Informatique) à Polytech Lille, nous avons créé une application permettant de simplifier la vie aux automobilistes pour trouver des places de parking.</p>
					<p><img src="/AAP/images/facebook.png" alt="Facebook"
						/><img src="/AAP/images/twitter.png" alt="Twitter" /><img src="/AAP/images/vimeo.png" alt="Vimeo" 
						/><img src="/AAP/images/flickr.png" alt="Flickr" /><img src="/AAP/images/rss.png" alt="RSS" /></p>
				</aside>
			</section>
		</div>
		<!-- inclusion du bloc de pied de page --> 
		<?php include_once("./blocs/blocFooter.html"); ?>
	</body>
</html>