<?php

	// inlusion des fichiers où les fonctions sont utilisées
	include_once '../sql/ConnexionBaseSQL.php';
	include_once './fonctions/fonctionsBDD.php';
	include_once './fonctions/groupe.php';
	include_once './fonctions/tableau.php';
	include_once './fonctions/messages.php';

	/*
	 * Cette fonction est une fonction générique prenant en paramètre une autre fonction.
	 * 
	 */
	function afficherCorpsPage ($affiche) 
	{
		$bdd = connexionBDD();
		$fonction = recupererFonctionUtilisateur ($bdd, $_SESSION['pseudo']);
		if (!isset($_SESSION['pseudo'])){
			$_GET['etat'] = strval(8192);
		}
		else if (($fonction['type'] == "Membre" && $affiche != "profil" && $affiche != "chgtMdp")
			|| ($fonction['type'] != "Configurateur" && $affiche == "config") 
			|| ($fonction['type'] != "Administrateur" && $affiche == "admin")){
			$_GET['etat'] = strval(65536);
		}
		else 
		{ 
			$corps = $affiche(); 
			echo $corps;
		}
	}
	
	/*
	 * Cette fonction est une fonction générique prenant en paramètre une autre fonction.
	 * 
	 */
	function afficherCorpsPage1Param ($affiche, $indice) 
	{
		$bdd = connexionBDD();
		$fonction = recupererFonctionUtilisateur ($bdd, $_SESSION['pseudo']);
		if (!isset($_SESSION['pseudo'])){
			$_GET['etat'] = strval(8192);
		}
		else if (($fonction['type'] == "Membre" && $affiche != "profil" && $affiche != "chgtMdp")
			|| ($fonction['type'] != "Configurateur" && $affiche == "config") 
			|| ($fonction['type'] != "Administrateur" && $affiche == "admin")){
			$_GET['etat'] = strval(65536);
		}
		else 
		{ 
			$corps = $affiche($indice); 
			echo $corps;
		}
	}
	
	/*
	 * Cette fonction permet d'afficher le corps de la page admin.php
	 */
	 function admin () 
	 {	
		include_once ('./blocs/blocAdmin.html');
	 }
	 
	/*
	 * Cette fonction permet d'afficher le corps de la page config.php
	 */
	 function config () 
	 {	
		include_once ('./blocs/blocConfig.php');
	 }
	 
	 /*
	  * Cette fonction permet d'afficher le corps de la page profil.php
	  */
	 function profil () 
	 {
		include_once ('./blocs/blocProfil.html');
	 }
	 
	/*
	 * Cette fonction permet d'afficher le corps de la page ajoutParAdmin.php
	 */
	function ajoutParAdmin ()
	{
		include_once ('./blocs/blocAjoutParAdmin.html');
	}
	
	/*
	 * Cette fonction permet d'afficher le corps de la page modifierMembreParAdmin.php
	 */
	function modifierMembreParAdmin ($indiceParam)
	{
		include_once ('./blocs/blocModifierMembreParAdmin.php');
	}
	
	/*
	 * Cette fonction permet d'afficher le corps de la page modifierParking.php
	 */
	function modifierParking ($indiceParam)
	{
		include_once ('./blocs/blocModifierParking.php');
		//include_once ('./blocs/blocModifierCapteurs.php');
		//include_once ('./blocs/blocVisualiserCaseParking.php');
		//include_once ('./blocs/blocVisualiserPlacesParking.php');
		include_once ('./blocs/blocInterfaceConfigurateurParking.php');
	}
	
	/*
	 * Cette fonction permet d'afficher le corps de la page ajoutParConfig.php
	 */
	function ajoutParConfig ()
	{
		include_once ('./blocs/blocAjoutParConfig.php');
	}
	
	/*
	 * Cette fonction permet d'afficher le corps de la page chgtMdp.php
	 */
	 function chgtMdp ()
	 {
		include_once ('./blocs/blocChgtMdp.html');
	 }
	
	
?>