<?php
	/*
	 * Cette fonction permet de retourner une chaine de caractère à afficher
	 * dans le menu en fonction de la fonction de l'utilisateur
	 */
	function recupererFonctionUtilisateur($bdd, $pseudo)
	{
		// requête sql
		$sql = 'SELECT g.type AS type FROM groupe g INNER JOIN membres m ON m.id_groupe = g.id_groupe WHERE m.pseudo = :pseudo';
		$req = $bdd->prepare($sql);
		$req->execute(array('pseudo' => $pseudo));
		// On recupère la fonction de l'utilisateur
		$resultat = $req->fetch();
		$req->closeCursor();
		return $resultat;
	}
	
	/*
	 * Récupère toutes les fonctions existantes ordonnées par défaut par id_groupe
	 */
	function recupererTousLesTypesUtilisateur($bdd)
	{
		// requête sql
		$sql = 'SELECT id_groupe, type FROM groupe ORDER BY id_groupe';
		$req = $bdd->prepare($sql);
		$req->execute();
		// on récupère la deuxième colonne 
		$resultat = $req->fetchAll(PDO::FETCH_COLUMN,1);
		$req->closeCursor();
		return $resultat;
	}
?>