<?php	

	include_once './fonctions/groupe.php';
	include_once '../sql/ConnexionBaseSQL.php';
	
	/*
	 * Affichage d'un message en fonction de la variable etat placée en paramètre
	 */ 
	function afficherMessage ($etat)
	{
		$etat = htmlspecialchars($_GET['etat']);
		$entier = intval($etat);
		$message_erreur = '<p>';
		if(($entier&32)==32){
			$message_erreur .= 'Vous avez oublié de remplir un ou plusieurs champ(s).';
		}
		else if (($entier&64)==64){
			$message_erreur .= 'Mauvais nom d\'utilisateur ou mot de passe. Merci de recommencer <br />';
		}
		else if (($entier&128)==128){
			$message_erreur .= 'L\'adresse mail renseignée n\'existe pas. <br />';
		}
		else if (($entier&256)==256){
			$message_erreur .= 'Un message vous a été envoyé avec un nouveau mot de passe à changer. cliquer sur le lien ci-dessous : <br /> ' .
								 '<a href="nouveauMdp.php">Modifier le mot de passe</a>';
		}
		else if (($entier&512)==512){
			$message_erreur .= 'Le mail n\' a pas pu être envoyé <br />';
		}
		else if (($entier&1024)==1024){
			$message_erreur .= 'Impossible de changer le mot de passe car le mot de passe actuel ou le login n\'est pas correct <br />';
		}
		else if (($entier&2048)==2048){
			$message_erreur .= 'Impossible de changer le mot de passe car le mot de passe actuel n\'est pas correct <br />';
		}
		else if (($entier&4096)==4096){
			$message_erreur .= 'Vous avez été désinscrit <br />' .
								 '<a href="test.php">Revenir à l\'accueil</a>';
		}
		else if (($entier&8192)==8192){
			$message_erreur .= 'Vous n\'êtes pas connecté <br />' .
								 '<a href="test.php">Revenir à l\'accueil</a>';
		}
		else if (($entier&16384)==16384){
			$message_erreur .= 'Le pseudo et l\'adresse mail ne correspondent pas.';
		}
		else if (($entier&32768)==32768){
			$message_erreur .= 'Caractère non valide.';
		}
		else if (($entier&65536)==65536){
			$message_erreur .= 'Vous n\'avez pas les droits pour être sur cette page.<br />' .
								 '<a href="test.php">Revenir à l\'accueil</a>';
		}
		else if (($entier&131072)==131072){
			$message_erreur .= 'La valeur que vous avez renseignée n\'est pas bonne.<br />' .
								 '<a href="Javascript:history.go(-1)">Retour</a>';
		}
		else if (($entier&262144)==262144){
			$message_erreur .= 'Vous devez renseigner au minimum un champ.<br />' ;
		}
		else if (($entier&524288)==524288){
			$message_erreur .= 'Vous ne pouvez pas accéder à cette page en étant connecté.<br />' .
								 '<a href="Javascript:history.go(-1)">Retour</a>';
		}
		else {
			if (($entier&1) == 1){
				$message_erreur .= 'L\'adresse mail que vous avez renseignée exsite déjà.<br />';
			}
			if (($entier&2) == 2){
				$message_erreur .= 'Vous n\'avez pas renseigné une adresse mail valide.<br />';
			}
			if (($entier&4) == 4){
				$message_erreur .= 'L\'identifiant que vous avez renseignée exsite déjà.<br />';
			}
			if (($entier&8) == 8){
				$message_erreur .= 'Les deux mots de passes sont différents.<br />';
			}
			if (($entier&16) == 16){
				$message_erreur .= 'Le mot de passe renseigné est trop petit (4 caractères minimum).<br />';
			}
		}
		$message_erreur .= '</p>';
		return $message_erreur;
	}
	
	/*
	 * Cette fonction permet d'afficher les fonctions des utiliosateurs dans le menu
	 */
	function afficherFonctionsUtilisateur ($user){
		$chaine = '';
		if ($user)
		{
			if ($user['type'] == 'Administrateur')
			{
				$chaine = '<li><a href="admin.php">Admin.</a></li>';	
			}
			else if ($user['type'] == 'Configurateur')
			{
				$chaine = '<li><a href="config.php">Config.</a></li>';	
			}
			else if ($user['type'] == 'ConfigurateurEtAdministrateur')
			{
				$chaine = '<li><a href="config.php">Config.</a></li>' .
							'<li><a href="admin.php">Admin.</a></li>';	
			}	
		}
		return $chaine;
	}
	
	/*
	 * Cette fonction permet d'afficher les informations relatives à id_groupe (à quoi les 
	 * numéros dans id_groupe
	 */
	function afficherLegendeIdGroupe()
	{
		$bdd = connexionBDD ();
		$res = recupererTousLesTypesUtilisateur ($bdd);
		$i = 1;
		foreach ($res as $val){
			echo '<p>Le id_groupe n°' . $i . ' correspond à ' . $val . '.</p>';
			$i++;
		}
	
	}	
?>