<?php
	/*
	 * Cette fonction permet de préparer le tableau (affichage du nom des colonnes)
	 */
	function preparerEnteteTableau ($tab, $nbreCol)
	{
		for ($j=0; $j<$nbreCol; $j++) 
		{ 
			echo '<td> '. $tab[$j] . ' </td>';	
		} 
	}
	
	/*
	 * Cette fonction permet d'afficher le corps du tableau (sans prendre en compte les lignes)
	 */
	function corpsTableau1Param ($fonction, $tab){
		 $fonction ($tab);
	 }
	
	/*
	 * Cette fonction permet d'afficher le corps du tableau
	 */
	function corpsTableau2Param ($fonction, $tab, $nbreLigne){
		 $fonction ($tab, $nbreLigne);
	 }
	 
	/*
	 * Cette fonction permet d'afficher le corps du tableau de la page modifierMembreParAdmin.php
	 * Elle affichera les champs d'un membre (pseudo, mdp, etc.)
	 */
	function afficherCorpsTableauModifierMembreParAdmin ($membre){
		foreach ($membre as $champ => $val) 
		{ 
			if ($champ != "id_groupe"){
				echo '<td> '. $val . '</td>';
			}
			else 
			{
				echo '<td><input type="text" name="idGroupe" value="'. $val . '" /></td>';
			}
		}
	}
	
	/*
	 * Cette fonction permet d'afficher le corps du tableau de la page blocAdmin.php
	 * Elle affichera tous les champs de tous les membres
	 */
	function afficherCorpsTableauPageAdmin ($tabvaleurs, $nbreLigne){
		for ($i=0; $i<$nbreLigne; $i++) 
		{
			echo '<tr> ' .
			'<td><input type="checkbox" name="options[]" value="'. $tabvaleurs[$i]['pseudo'] .'" ></td>';
			
			foreach ($tabvaleurs[$i] as $val) 
			{ 
				echo '<td> ' . $val .' </td>';
			} 
			$j = $i + 1;
			echo '<td><a href="modifierMembreParAdmin.php?indice='. strval($j) . '" >Modifier</a></td> </tr>';
		} 
	}
	
	/*
	 * Cette fonction permet d'afficher le tableau de la table placée en paramètre
	 */
	function afficherCorpsTableauTable ($tabvaleurs, $nbreLigne){
		for ($i=0; $i<$nbreLigne; $i++) 
		{	
			echo '<tr> ';
			foreach ($tabvaleurs[$i] as $val) 
			{ 
				echo '<td> ' . $val .' </td>';
			} 
			echo '</tr> ';
		} 
	}
	
	/*
	 * Cette fonction permet d'afficher le corps du tableau de la page modifierParking.php
	 * Elle affichera les champs d'un parking 
	 */
	function afficherCorpsTableauModifierParking ($parking){
		foreach ($parking as $champ => $val) 
		{ 
			if ($champ == "idParking" || $champ == "NbMaxPlaces" || $champ == "NbDispoPlaces"){
				echo '<td> '. $val . '</td>';
			}
			else 
			{
				echo '<td><input type="text" name="' . $champ . '" value="'. $val . '" /></td>';
			}
		}
	}
	
	/*
	 * Cette fonction permet d'afficher le corps du tableau de la page corpsParking.php
	 * Elle affichera tous les champs de tous les parkings
	 */
	function afficherCorpsTableauPageConfig ($tabvaleurs, $nbreLigne){
		for ($i=0; $i<$nbreLigne; $i++) 
		{
			foreach ($tabvaleurs[$i] as $val) 
			{ 
				echo '<td> ' . $val .' </td>';
			} 
			$j = $i + 1;
			echo '<td><a href="modifierParking.php?indice='. strval($j) . '" >Modifier</a></td> </tr>';
		} 
	}
	
	/*
	 * Cette fonction permet d'afficher le corps du tableau de la page corpsAjoutParConfig.php
	 * Elle affichera les valeurs à renseigner pour créer un parking.
	 */
	function afficherCorpsTableauAjoutParConfig ($tab){
		foreach ($tab as $champ) 
		{ 
			if ($champ != "idParking" && $champ != "NbMaxPlaces" && $champ != "NbDispoPlaces"){
				echo '<td><input type="text" name=' . $champ . ' /></td>';
			}
			else {
				echo '<td></td>';
			}
		}
	}
	
	
	/* 
	 * Ce tableau permet de récvupérer un tableau $ligne en filtrant 
	 * les éléments se trouvant dans $nomAEviter (NON UTILISEE pour le moment)
	 */
	function filtreTab ($ligne, $nomAEviter){
		$i = 0;
		foreach ($ligne as $valeur){
			$j = count($nomAEviter);
			foreach ($nomAEviter as $nom){
				if (strval($valeur) != strval($nom)){
					$j--;
				}
				else {
					break;
				}
			}
			if ($j == 0){
				$tab[$i] = $valeur;
				$i++;
			}
			
		}
		return $tab;
	}
	
?>
