<?php
	/*
	 * extraire l'id d'une ville par son nom
	 */
	function extraireidVille($bdd, $ville)
	{
		$sql = 'SELECT id FROM villes WHERE nom_ville = :ville';
		$req = $bdd->prepare ($sql);
		$req->execute(array('ville' => $ville));
		if($ligne = $req->fetch())
		{
			$idVille = $ligne['id'];
		}
		$req->closeCursor();
		return $idVille;
	}
	
	/*
	 * Renvoie true si l'id de la ville existe, sinon false
	 */
	 function idVilleExiste ($bdd, $id_ville){
		$sql = 'SELECT id FROM villes WHERE id_ville = :idVille';
		$req = $bdd->prepare ($sql);
		$req->execute(array('idVille' => $id_ville));
		$resultat = $req->fetch();
		if(!$resultat)
		{
			$existe = false;
		}
		else 
		{
			$existe = true;
		}
		$req->closeCursor();
		return $existe;
	 }
?>