<?php
	// inclusion du fichier où se trouvent les fonctions à utiliser
	include_once '../php/fonctions/place.php';
	include_once '../php/fonctions/parking.php';
	include_once '../php/fonctions/casePlanParking.php';
	include_once '../sql/ConnexionBaseSQL.php';
	
	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il y a un problème
	if ($bdd == -1)
	{
		echo "il y a un problème";
	}
	else {
		// on récupère les paramètres envoyés
		$idParking = intval(htmlspecialchars($_REQUEST['idParking']));
		
		// On met à jour les informations du parking
		$tab['champs'] = recupererCasesParking ($bdd, $idParking);
		if ($tab['champs'] == null){
			$tab['vide'] = true;
		}
		else {
			$tab['vide'] = false;
		}
		$tab['dimensions'] = recupererDimensionParking ($bdd, $idParking);
		echo json_encode ($tab);
	}
?>