<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page permet de traiter la l'inscription d'un
membre du site. Ajout dans la bdd.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start();
	
	// inlusion des fichiers où les fonctions sont utilisées
	include_once './fonctions/membre.php';
	include_once './fonctions/general.php';
	include_once '../sql/ConnexionBaseSQL.php';

	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il existe tous les champs
	if((isset($_POST['ajout']) || isset($_POST['inscription'])) && isset($_POST['pseudo']) 
		&& isset($_POST['password']) && isset($_POST['conf_password']) && isset($_POST['mail'])) 
	{	
		$etat = 0;
		
		// on vérifie si on peut ajouter un membre. (renvoie de etat = 0 si oui, 
		// sinon prend une autre valeur particulière (en fonction du pourquoi)
		// $tab prend la valeur des id
		$tab = verificationAjoutMembre($bdd, $etat);
		
		// si on ne peut pas rajouter (etat != 0), on redirige avec le message a afficher valeur de etat
		if($etat != 0)
		{
			// redirection vers la page inscription
			$url = "inscription.php?etat=". strval($etat);
			header("Location: $url");
		}
		else 
		{
			// on ajoute le membre à la bdd
			ajouterMembre ($bdd, $tab);
			
			// creation de la variable de session : pseudo
			$_SESSION['pseudo'] = $tab['pseudo'];
			
			// redirection vers la page test
			header("Location: test.php");
		}
	}
	else {
		// redirection vers la page inscription
		header("Location: inscription.php?etat=32");  
	}
?>
