<?php
/*<!-- /////////////////////////////////////////// --!>
Cette page permet de traiter la la modification des droits
d'un membre du site. modification dans la bdd.
<!-- //////////////////////////////////////////// -->*/

	// fonction de session afin de garder les variables de session
	session_start();
	
	// inlusion des fichiers où les fonctions sont utilisées
	include_once './fonctions/membre.php';
	include_once './fonctions/general.php';
	include_once '../sql/ConnexionBaseSQL.php';
	include_once './fonctions/fermerSessionAndCookie.php';

	// connexion à la BDD
	$bdd = connexionBDD();
	
	// s'il existe un champs $_POST et qu'un post soit le bouton désinscription
	if(isset($_POST['modifFonction']) && isset($_POST['idGroupe']))
	{
		if (!empty ($_POST['idGroupe'])){
			
			// désactivation des caractères spéciaux pour balise (éviter les scripts)
			$val = intval(htmlspecialchars($_POST['idGroupe']));
			
			// Si le caractère écrit est un entier compris entre 1 et 4
			if (is_int($val) && $val > 0 && $val <5)
			{
				// mise à jour des droits de l'utilisateur
				modifierMembre ($bdd, $_SESSION['pseudoAModif'], "id_groupe", $val);
				
				// on supprime la variable de session : indice
				session_unregister("indice");
				
				// redirection vers la page admin
				header("Location: admin.php");
			}
			else 
			{
				// redirection sur la page précédente avec message (caractère non valide)
				header("Location: modifierMembreParAdmin.php?etat=32768");
			}
		}
		else 
		{
			// redirection sur la page précédente avec message (champ vide)
			header("Location: modifierMembreParAdmin.php?etat=32");
		}
	}
	else {
		// redirection sur la page précédente avec message (champ vide)
		header("Location: modifierMembreParAdmin.php?etat=32");
	}
	
?>